Skip to content
Permalink
Browse files

Merge pull request #9 from cjmayo/libsystemd

fix detection of systemd libs on systemd >= 230
  • Loading branch information
CozC committed Nov 28, 2019
2 parents 873adfc + be6df73 commit 49f8d46431df702f7f16aa131541562af6328cfe
Showing with 2 additions and 2 deletions.
  1. +2 −2 acinclude.m4
@@ -350,9 +350,9 @@ AC_DEFUN([DM_CHECK_SSL], [

AC_DEFUN([DM_CHECK_SYSTEMD], [
PKG_CHECK_MODULES([SYSTEMD], [libsystemd-daemon], , [
PKG_CHECK_MODULES([SYSTEMD], [systemd >= 230])
PKG_CHECK_MODULES([SYSTEMD], [libsystemd >= 230])
])
if test [ -n $SYSTEMD_LIBS ]; then
if test [ -n "$SYSTEMD_LIBS" ]; then
AC_DEFINE([HAVE_SYSTEMD], [1], [Define if systemd will be used])
LDFLAGS="$LDFLAGS $SYSTEMD_LIBS"
fi

0 comments on commit 49f8d46

Please sign in to comment.
You can’t perform that action at this time.